package net.knarcraft.ffmpegconverter.streams;

/**
 * An object representation of a stream in a media file
 */
public abstract class AbstractStream implements StreamObject {
    int absoluteIndex;
    int relativeIndex;
    String codecName;

    @Override
    public String getCodecName() {
        return this.codecName;
    }

    @Override
    public int getAbsoluteIndex() {
        return this.absoluteIndex;
    }

    @Override
    public int getRelativeIndex() {
        return this.relativeIndex;
    }
}